> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Get the details of requested master account

GET https://api.brevo.com/v3/corporate/masterAccount

This endpoint will provide the details of the master account.

Reference: https://developers.brevo.com/reference/get-the-details-of-requested-master-account

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Response

### 200

Master account details

- `billingInfo` (object, optional) — Billing details of the master account organization
  - `address` (object, optional) — Billing address of master account
    - `countryCode` (string, optional) — Country code
    - `locality` (string, optional) — Locality
    - `postalCode` (string, optional) — Postal code
    - `stateCode` (string, optional) — State code
    - `streetAddress` (string, optional) — Street address
  - `companyName` (string, optional) — Company name of master account
  - `email` (string, optional) — Billing email id of master account
  - `name` (object, optional) — Billing name of master account holder
    - `familyName` (string, optional) — Last name for billing
    - `givenName` (string, optional) — First name for billing
- `companyName` (string, optional) — Company name of master account organization
- `currencyCode` (string, optional) — Currency code of the master account organization
- `email` (string, optional) — Email id of master account
- `id` (long, optional) — Unique identifier of the master account organization
- `planInfo` (object, optional) — Plan details
  - `currencyCode` (string, optional) — Plan currency
  - `features` (list of object, optional) — List of provided features in the plan
    - `name` (string, optional) — Name of the feature
    - `quantity` (long, optional) — Quantity provided in the plan
    - `quantityWithOverages` (long, optional) — Quantity with overages provided in the plan (only applicable on ENTv2)
    - `remaining` (long, optional) — Quantity remaining in the plan
    - `unitValue` (string, optional) — Unit value of the feature
    - `used` (long, optional) — Quantity consumed by master
    - `usedOverages` (long, optional) — Quantity consumed by sub-organizations over the admin plan limit (only applicable on ENTv2)
  - `nextBillingAt` (long, optional) — Timestamp of next billing date
  - `planPeriod` (enum, optional) — Plan period type
    - Allowed values: `month`, `year`
  - `price` (double, optional) — Plan amount
  - `subAccounts` (integer, optional) — Number of sub-accounts
- `timezone` (string, optional) — Timezone of the master account organization

## Errors

### 400 Bad Request Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

## Examples

**Response**

```json
{
  "billingInfo": {
    "address": {
      "countryCode": "IN",
      "locality": "Pandav Nagar, New Delhi",
      "postalCode": "560048",
      "stateCode": "UP",
      "streetAddress": "C-92"
    },
    "companyName": "Corp Sample 1-1",
    "email": "sample@example.com",
    "name": {
      "familyName": "Pandit",
      "givenName": "Uday"
    }
  },
  "companyName": "Corp Sample 1-1",
  "currencyCode": "INR",
  "email": "sample@example.com",
  "id": 1003286,
  "planInfo": {
    "currencyCode": "INR",
    "features": [
      {
        "name": "MULTI_USER",
        "quantity": 10,
        "remaining": 0,
        "unitValue": "1",
        "used": 15
      },
      {
        "name": "ADVANCED_REPORTING",
        "quantity": 12,
        "remaining": 11,
        "unitValue": "1",
        "used": 1
      },
      {
        "name": "INBOX",
        "quantity": 10,
        "remaining": 0,
        "unitValue": "1",
        "used": 10
      },
      {
        "name": "LANDING_PAGE",
        "quantity": 10,
        "remaining": 0,
        "unitValue": "5",
        "used": 11
      },
      {
        "name": "RECURRING_CREDITS",
        "quantity": 500,
        "remaining": 499,
        "unitValue": "1",
        "used": 1
      }
    ],
    "nextBillingAt": 1637739295,
    "planPeriod": "month",
    "price": 2100,
    "subAccounts": 15
  },
  "timezone": "Europe/Paris"
}
```

**SDK Code**

```typescript Master account_getTheDetailsOfRequestedMasterAccount_example
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.masterAccount.getTheDetailsOfRequestedMasterAccount();
}
main();

```

```python Master account_getTheDetailsOfRequestedMasterAccount_example
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.master_account.get_the_details_of_requested_master_account()

```

```php Master account_getTheDetailsOfRequestedMasterAccount_example
<?php

namespace Example;

use Brevo\Brevo;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->masterAccount->getTheDetailsOfRequestedMasterAccount();

```

```go Master account_getTheDetailsOfRequestedMasterAccount_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/corporate/masterAccount"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Master account_getTheDetailsOfRequestedMasterAccount_example
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/corporate/masterAccount")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Master account_getTheDetailsOfRequestedMasterAccount_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/corporate/masterAccount")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp Master account_getTheDetailsOfRequestedMasterAccount_example
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/corporate/masterAccount");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Master account_getTheDetailsOfRequestedMasterAccount_example
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/corporate/masterAccount")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```